[PACKAGE]: ../../raw/master/mkp/bgp_topology-0.0.2-20241223.mkp "bgp_topology-0.0.2-20241223.mkp"
# BGP Topology

This plugin will create a Network Visualization Topology from the Peer relations of your _BGP peer services_ in Checkmk. 

**Note**: This check is an active check and needs to be associated with one of the hosts in Checkmk. Usually a host with BGP peers.

---
### Download
* [Download latest mkp file][PACKAGE]

**Note**: before you update to a newer version, always check the [CHANGELOG](CHANGELOG). There migth be incompatible changes.
                        
---
### Installation

You can install the package by uploading it to your CheckMK site and as site user run 
```
mkp add PAKAGE_NAME.mkp
mkp enable PAKAGE_NAME VERSION
```

In the Enterprise/Free/Cloud edition of CheckMK you can use the GUI to install the package (_Setup_ -> _Extension Packages_ -> _Upload package_)

---
### Want to Contribute?

Nice ;-) Have a look at the [contribution guidelines](CONTRIBUTING.md "Contributing")

---
### Check Info

The plugin creates the service **_BGP Topology_** 

<details><summary>Montoring states</summary>

The service state is always ok.

</details>

<details><summary>Perfdata</summary>

| Metric | Unit | Perfometer |
| ------ | ------ | ------ |
| Time take | s | yes |

</details>

---
### WATO
<details><summary>Active check rule (HTTP, TCP, Email, ...)</summary>

| Section | Rule name |
| ------ | ------ |
| Networking | BGP Topology |

| Option | Defailt value | Options |
| ------ | ------ |----|
| Anchor for external BGP objects | Both | AS, ID, Both |
| BGP AS emblem | icon_cloud | None, Default, Custom |
| BGP ID emblem | icon_topic_system | None, Default, Custom |
| Make default | Disabled | Enabled, Disabled|
| Filter Checkmk sites| None | Include/Exclude sites |

</details> 

<details><summary>Discovery rule</summary>
There is no service discovery rule
</details> 

<details><summary>HW/SW inventory rules</summary>
There is no inventory rule.
</details> 

---
### Sample Output

Sample output

![sample output](img/sample.png?raw=true "Sample output")

Sample BGP Topology

![sample bgp topology](img/sample-details.png?raw=true "Sample BGP Topology")

